<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\KursUebersicht\Ics;

class IcsAuswahlPresenter extends \Kufer\KuferTools\Basis\Ics\IcsAuswahlPresenter
{
  protected function getView()
  {
    return new IcsAuswahlView($this->getViewModel());
  }

  protected function getNewViewModel()
  {
    return new IcsAuswahlViewModel();
  }

  protected function getViewModel()
  {
    $result = parent::getViewModel();
    $result->belnummern = $this->useCaseResponse->belnummern;
    $result->terminNr = $this->useCaseResponse->terminNr;

    return $result;
  }
}